#!/bin/bash

# Vinfo 0.4 beta (05-05-2003) (c) pulll @ efnet.
# This is a script which utilizes a modified version of SoD-'s video_info_v0.1beta.
# Used in combination with Zipscript-C it brings configurable Output of Video Sample 
# files (Horizontal, Vertical resolution etc) to a .message file as well as bot announce for dZsbot.tcl.
# Requirements: cut, sed and date binary.
# Script has been tested on Linux with zipscript-c.
# Read the README for full installation instructions.

##########################################################################
# <CONFIG>                                                               #
##########################################################################

site="XX" 				# Two letter sitename shortage
predirs="/site/groups /site/GROUPS"     # Define your group dir's, seperated by space
log="/ftp-data/logs/glftpd.log"		# Path to glftpd.log
vinfo="/bin/vinfo"			# Path to the video_info binary
cut="/bin/cut"
date=`date +"%a %b %d %H:%M:%S %Y"`
fname="$@"
stat="0"

##########################################################################
# </CONFIG>                                                              #
##########################################################################

dircheck()
{
	if [ "$predirs" != "" ];
	then
		for pre in $predirs; do
			
			GRP="$( echo $PWD | grep -w $pre )"
			if [ "$GRP" != "" ];
			then
				stat="1"
			fi
		done
	fi
}

dircheck

	if [ $stat -ne 1 ];
	then
	
case $fname in
 *.[aAmMvV][vVpPoO][iIgGbB])

message="$PWD/.message"
rel="$PWD/$fname"
v=`$vinfo $rel`
ftype=`$vinfo $rel |$cut -f2 -d' ' `
vbitrate=`$vinfo $rel |$cut -f3 -d' ' `
fps=`$vinfo $rel |$cut -f5 -d' ' `
hres=`$vinfo $rel |$cut -f6 -d' ' `
vres=`$vinfo $rel |$cut -f7 -d' ' `
aspect=`$vinfo $rel |$cut -f8 -d' ' `
atype=`$vinfo $rel |$cut -f9 -d' ' `
abitrate=`$vinfo $rel |$cut -f10 -d' ' `
asample=`$vinfo $rel |$cut -f11 -d' ' `
soundtype=`$vinfo $rel |$cut -f12 -d' ' `

if [ "$v" != "" ];
then
	
echo -e "\n$date" "VINFO: ""\"$PWD\"" "\"$USER\"" "\"$TAGLINE\"" "\"$SPEED""kb/s\"" "$v" | sed  s/[/][sS][aA][mM][pP][lL][eE]/' '/ >> $log
 
 echo -e "\nͻ" >> $message
 echo -e " [$site]                         VINFO                            [$site] " >> $message
 echo -e "͹ VIDEO  ͹" >> $message
 echo -e "                                                                    " >> $message
 echo -e "  RESOLUTION..: $hres""x$vres                                         " | sed s/'"'/' '/g >> $message
 echo -e "                                                                    " >> $message
 echo -e "  FPS.........: $fps                                                 " | sed s/'"'/' '/g >> $message
 echo -e "                                                                    " >> $message
 echo -e "  BITRATE.....: $vbitrate                                            " | sed s/'"'/' '/g >> $message
 echo -e "                                                                    " >> $message
 echo -e "  ASPECT RATIO: $aspect                                              " | sed s/'"'/' '/g >> $message
 echo -e "                                                                    " >> $message
 echo -e "͹ AUDIO  ͹" >> $message
 echo -e "                                                                    " >> $message
 echo -e "  BITRATE.....: ($abitrate""kbit/s $asample""Kh/z)                   " | sed s/'"'/' '/g >> $message
 echo -e "                                                                    " >> $message
 echo -e "  SOUNDTYPE...: ($atype$soundtype)                                   " | sed s/'"'/' '/g >> $message
 echo -e "                                                                    " >> $message
 echo -e "ͼ" >> $message

else
echo -e "\n$date" "Sample type not (yet) supported by vinfo" >> $log
fi
  ;;
  esac
exit 0
	else
		echo "predir found, aborting"
	fi
exit 0
